## firetray 0.4.6

=== src/Makefile ===
dash := /bin/dash
ifeq ($(wildcard $(dash)), $(dash))
    SHELL=$(dash)
endif

.PHONY: help
help:
	@echo "BUILD/INSTALL INSTRUCTIONS"
	@echo
	@echo "to build Firetray, just:"
	@echo "  make build"
	@echo
	@echo "by default, debug calls are stripped from js files and DEBUG_MODE"
	@echo "is off (performance). If you want to keep debug calls:"
	@echo "  DEBUG=on make build"
	@echo
	@echo "to create the dev profile:"
	@echo "  firefox -no-remote -P		# then create '$(profile_id)'"
	@echo "  thunderbird -no-remote -P	# then create '$(profile_id)'"
	@echo
	@echo "to test the extension with the dev profile:"
	@echo "  cd ~/.mozilla/firefox/mozilla-dev/extensions"
	@echo "  ln -s ../../path/to/firetray/src '{9533f794-00b4-4354-aa15-c2bbda6989f8}'"
	@echo "  cd ~/.thunderbird/mozilla-dev/extensions"
	@echo "  ln -s ../path/to/firetray/src '{9533f794-00b4-4354-aa15-c2bbda6989f8}'"
	@echo
	@echo "to test with dev profile:"
	@echo "  firefox -no-remote -P mozilla-dev"
	@echo "  thunderbird -no-remote -P mozilla-dev"
	@echo
	@echo "Have fun !"

# The UUID of the extension.
extension_name := firetray

# The name of the profile dir where the extension can be installed.
profile_id := mozilla-dev

# The zip application to be used. NOTE: symlinks seem not supported in XPI
# ("could not be installed because Firefox cannot modify the needed file")
ZIP := zip # --symlinks

ifdef DEBUG
build_debug := -debug
copy_and_strip_maybe =				\
@mkdir -p $(dir $(1));				\
cp -f $(2) $(1);
else
copy_and_strip_maybe =				\
@mkdir -p $(dir $(1));				\
echo "Stripping debug calls from JS file $<";	\
sed '/log.debug(/d' $(2) > $(1);
endif

# The target location of the build and build files.
git_rev = -$(shell git rev-parse --short HEAD)
build_dir := ../build$(git_rev)$(build_debug)


# The location of the extension profile. (this extension is intended for Linux only)
profile_locations := \
  ~/.mozilla/firefox/$(profile_id)/extensions \
  ~/.thunderbird/$(profile_id)/extensions

# The license file
license := LICENSE

# The install.rdf file.
install_rdf := install.rdf

# Version fetched from install.rdf
VERSION := $(shell awk '/<em:version>/ {  version=$$1; \
  version=gensub(/^.*<em:version>(.+)<\/em:version>.*$$/, "\\1", "g", version); \
  print version }' $(install_rdf))

# The target XPI files.
xpi_file := $(extension_name)-$(VERSION).xpi
xpi_built := $(build_dir)/$(xpi_file)
# Since we use <em:unpack>false, we need the same name across versions
xpi_deployed := $(extension_name).xpi

# The chrome.manifest file.
chrome_manifest := chrome.manifest

# The preferences dir.
preferences_dir := defaults/preferences

# The root of the chrome sources.
chrome_source_root := chrome

# The chrome sources.
chrome_sources_js := $(wildcard $(chrome_source_root)/content/*.js)
chrome_sources := $(chrome_sources_js)								\
               $(wildcard $(chrome_source_root)/content/*.xul)					\
               $(wildcard $(chrome_source_root)/content/*.xml)					\
               $(wildcard $(chrome_source_root)/content/*.css)					\
               $(wildcard $(chrome_source_root)/skin/*.css)					\
               $(wildcard $(chrome_source_root)/skin/*.gif)					\
               $(wildcard $(chrome_source_root)/skin/*.png)					\
               $(wildcard $(chrome_source_root)/skin/*.svg)					\
               $(wildcard $(chrome_source_root)/skin/linux/icons/hicolor/22x22/apps/*.png)	\
               $(wildcard $(chrome_source_root)/skin/linux/icons/hicolor/32x32/apps/*.png)	\
               $(wildcard $(chrome_source_root)/locale/*/*.dtd)					\
               $(wildcard $(chrome_source_root)/locale/*/*.properties)

# The modules (JSM) dir.
modules_dir := modules

# The sources for the module files.
modules_sources := $(wildcard $(modules_dir)/*.js)		\
		$(wildcard $(modules_dir)/*.jsm)		\
		$(wildcard $(modules_dir)/ctypes/*.jsm)		\
		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)	\
		$(wildcard $(modules_dir)/linux/*.jsm)

# The components (JSM) dir.
components_dir := components

# The JS component source files
components_sources := $(wildcard $(components_dir)/*.js)

# The sources for the XPI file. Uses variables defined in the included
# Makefiles.
xpi_includes := $(license) \
             $(install_rdf) \
             $(chrome_manifest) \
             $(preferences_dir)/prefs.js \
             $(chrome_sources) \
             $(modules_sources) \
             $(components_sources)

# Destination files
build_includes := $(foreach f,$(xpi_includes),$(build_dir)/$(f))


$(xpi_built): check_version $(build_dir) $(build_includes)
	@echo "Creating XPI file."
	@cd $(build_dir); $(ZIP) $(xpi_file) $(xpi_includes)
	@echo "Creating XPI file. Done!"

# This builds the extension XPI file.
.PHONY: build
build: $(xpi_built)
	@echo
	@echo "Build finished successfully."
	@echo

# This cleans all temporary files and directories created by 'make'.
.PHONY: clean
clean: clean_build
	@echo "Cleanup is done."

# called via $(build_includes)
$(build_dir)/%: %
	@mkdir -p $(dir $@)
	@cp -f $< $@ # -d for symlinks

# Debug calls are removed for performance.
# NOTE: we could also use m4 for filtering source files...
$(build_dir)/$(chrome_source_root)/%.js: $(chrome_source_root)/%.js
	$(call copy_and_strip_maybe,$@,$<)

$(build_dir)/$(modules_dir)/%: $(modules_dir)/%
	$(call copy_and_strip_maybe,$@,$<)

$(build_dir)/$(components_dir)/%.js: $(components_dir)/%.js
	$(call copy_and_strip_maybe,$@,$<)

$(build_dir):
	@if [ ! -x $(build_dir) ];	\
  then					\
    mkdir -p $(build_dir);		\
  fi

$(profile_locations):
	@echo "Creating extension folder: $(profile_locations)"
	@for p in $(profile_locations) ; do	\
  if [ ! -x "$$p" ];				\
  then						\
    mkdir -p $$p;				\
  fi;						\
  done

clean_build:
	@echo "Removing build dirs: $(build_dir)*"
	@rm -rf $(build_dir)*

# Version fetched from install.rdf
const_file := modules/commons.js

VERSION_HARD_CODED := $(shell awk -F\" '/const\W+FIRETRAY_VERSION/ \
  { print $$2}' $(const_file))
check_version:
	@echo "checking version consistency"
	@[ "$(VERSION)" = "$(VERSION_HARD_CODED)" ]

=== testing/Makefile ===
includes_gtk := $(shell pkg-config --libs --cflags gtk+-2.0)
includes_gdk_gtk := $(shell pkg-config --libs --cflags gdk-2.0 gtk+-2.0)
executables :=  gtk_icon_example trayicon hide xtypes x11XGetWindowProp \
	window_state_event xev_desktop teststatusicon gtk-version

.PHONY: all
all: $(executables)

.PHONY: clean
clean:
	rm $(executables)

gtk_icon_example: gtk_icon_example.c
	gcc $(includes_gtk) -o gtk_icon_example gtk_icon_example.c

trayicon: trayicon.c
	gcc $(includes_gtk) -o trayicon trayicon.c

hide: hide.c
	gcc $(includes_gtk) -o hide hide.c

xtypes: xtypes.c
	gcc $(includes_gtk) -o xtypes xtypes.c

x11XGetWindowProp: x11XGetWindowProp.c
	gcc -Wall x11XGetWindowProp.c -o x11XGetWindowProp -lm -lXext -lX11

window_state_event: window_state_event.c
	gcc $(includes_gtk) -o window_state_event window_state_event.c

xev_desktop: xev_desktop.c
	gcc -lXm -lXt -lX11 -o xev_desktop xev_desktop.c

teststatusicon: teststatusicon.c prop-editor.c
	gcc $(includes_gtk) -o teststatusicon teststatusicon.c prop-editor.c

gtk-version: gtk-version.c ../src/lib/linux/firetray_x86_64-gcc4.so
	gcc $(includes_gdk_gtk) ../src/lib/linux/firetray_x86_64-gcc4.so -o gtk-version gtk-version.c

=== src/lib/linux/Makefile ===
deps = gdk-2.0 gdk-pixbuf-2.0 atk
platform = $(shell uname -p)

CC = gcc
GCCVERSION = $(shell gcc -dumpversion | cut -f1 -d.)
CFLAGS += -O3 -fPIC -g -mtune=generic $(shell pkg-config --cflags $(deps))
LDFLAGS += -shared -rdynamic
#-Wl,--version-script -Wl,export-versionscript
#-Wl,-soname,libmystuff.so.1 -o libgnome.so.1.0.1
LIBS += $(shell pkg-config --libs $(deps))

libs = firetray_$(platform)-gcc$(GCCVERSION).so

all: $(libs)
	@echo
	@echo add this line to chrome.manifest:
	@echo "resource	firetray-lib			lib/linux/$(libs)	abi=Linux_x86_64-gcc3"
	@echo
	@echo and use
	@echo 'Cu.import("resource://firetray/ctypes/libfiretray.jsm");'
	@echo 'firetray.Handler.subscribeLibsForClosing([libfiretray]);'
	@echo

$(libs): firetray.o
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LIBS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

strip: $(libs)
	strip $<

clean:
	rm -rf $(libs) *.o

cp:
	cp $(libs) ../../lib/

install: clean all strip cp

.PHONY: all clean strip cp install

## firetray 0.3.0-svn-r122

=== debian/changelog ===
firetray (0.3.0-svn-r122-1) unstable; urgency=low

  * [705218c] Imported Upstream version 0.3.0-svn-r121
  * [d0b4d5d] use original icon, it's now under gpl 2
  * [3e8c355] typo (Closes: #625755)
  * [83f9f1a] Imported Upstream version 0.3.0-svn-r122 (Closes: #631153)
  * [83f9f1a] builds against new xulrunner-dev 5.0 (Closes: #631028) 
  * [0834975] update patches to next release and remove patch numbers
  * [5311e6f] use bash as build shell, need some buildins
  * [2dd47e2] use dpkg-parse-changelog to get the revision
  * [f71ac4a] increase policy standard to 3.9.2

 -- Sascha Girrulat <sascha@girrulat.de>  Mon, 25 Jul 2011 12:21:10 +0200

firetray (0.2.8-3) unstable; urgency=low

  * [1a21807] "Thunderbird" is a proper noun and must be capitalized.
    (CLoses: #617882)
  * [be689eb] add url of vcs
  * [787c070] remove # from vcs commits

 -- Sascha Girrulat <sascha@girrulat.de>  Wed, 04 May 2011 07:56:06 +0200

firetray (0.2.8-2) unstable; urgency=low

  * [17d87a0] rename source package
  * [4c4aa4b] remove template comments
  * [d439c62] remove depricated uploader

 -- Sascha Girrulat <sascha@girrulat.de>  Sat, 15 Jan 2011 09:28:50 +0100

xul-ext-firetray (0.2.8-1) unstable; urgency=low

  [ Wolfram Quester ]
  * Initial packaging

  [ Sascha Girrulat ]
  * [ee1e711] remove extra license file to avoid lintian warnings
  * Initial release (Closes: #599811)  
  * remove non-free icons
  * replace non-free (tray)icons with dfsg-clean ones 
  * [f20a221] deactivate trayminimize,

 -- Sascha Girrulat <sascha@girrulat.de>  Mon, 20 Dec 2010 17:43:50 +0100

=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>
Build-Depends: debhelper (>= 7.0.50~),
  mozilla-devscripts (>= 0.16~),
  libgtk2.0-dev,
  pkg-config,
  scons,
  xulrunner-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/firetray/
Vcs-Git: git://git.debian.org/pkg-mozext/firetray.git 
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/firetray.git;a=summary

Package: xul-ext-firetray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Thunderbird/Firefox alike apps
 A system tray extension for Thunderbird/Firefox an alike, allowing to set up a
 custom icon, hiding to tray instead of closing, display the number of unread
 messages in mailing applications and other features

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@ --with xul-ext

override_dh_auto_build:
	cp -f debian/iceowl.xpm components/pixmaps/iceowl.xpm
	bash ./build.sh

override_dh_auto_install:
	install-xpi firetray*.xpi

override_dh_auto_clean:
	rm -f firetray*.xpi

## firetray 0.3.1

=== debian/changelog ===
firetray (0.3.1-4) unstable; urgency=low

  * [1ccfd06] DM-Upload-Allowed: yes
  * [b512275] bump supported version of iceweasel/icedove
  * rebuild for xulrunner-8.*

 -- Sascha Girrulat <sascha@girrulat.de>  Sat, 19 Nov 2011 10:26:40 +0100

firetray (0.3.1-3) unstable; urgency=low

  * Update increase-supported-versions.patch 
    for introducing compatibility with Firefox/Iceweasel 7.* (Closes: #644860)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sun, 09 Oct 2011 22:04:57 +0200

firetray (0.3.1-2) unstable; urgency=low

  * [eb0ae20] add increase-supported-versions.patch
  * rebuild for xulrunner 6 (Closes: 642693) 
  * [1edecd8] remove whitespace

 -- Sascha Girrulat <sascha@girrulat.de>  Mon, 26 Sep 2011 20:12:35 +0200

firetray (0.3.1-1) unstable; urgency=low

  * [69267b7] typo s/an/and/ (Closes: 635632)
  * [703f1d3] Imported Upstream version 0.3.1
  * [a0af81e] build official minor release

 -- Sascha Girrulat <sascha@girrulat.de>  Tue, 09 Aug 2011 12:40:37 +0200

=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
  mozilla-devscripts (>= 0.16~),
  libgtk2.0-dev,
  pkg-config,
  scons,
  xulrunner-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/firetray/
Vcs-Git: git://git.debian.org/pkg-mozext/firetray.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/firetray.git;a=summary

Package: xul-ext-firetray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Thunderbird/Firefox alike apps
 A system tray extension for Thunderbird/Firefox and alike, allowing to set up a
 custom icon, hiding to tray instead of closing, display the number of unread
 messages in mailing applications and other features

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_build:
 	cp -f debian/iceowl.xpm components/pixmaps/iceowl.xpm
-	bash ./build.sh
+	bash ./build.sh --official-amo-release
 
 override_dh_auto_install:
 	install-xpi firetray*.xpi

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

ftp://ftp.mozilla.org/pub/mozilla.org/addons/4868/firetray-([\d\.]+)-.*\.xpi

## firetray 0.3.6

=== debian/changelog ===
firetray (0.3.6-2) unstable; urgency=low

  [Sascha Girrulat]
  * [acbeba0] apply patch from Mònica Ramírez Arceda

  [Mònica Ramírez Arceda]
  * Add version number restriction on xulrunner-dev dependency (>= 10.0)
    (Closes: #653290)

 -- Sascha Girrulat <sascha@girrulat.de>  Wed, 22 Feb 2012 18:06:35 +0100

firetray (0.3.6-1) unstable; urgency=low

  * [3406b26] Revert "Imported Upstream version 0.3.4"
  * [6eaab2b] remove increase-supported-versions.patch 0.3.5 supports already
    ice* 10.* 
  * [9e67e3e] add use-py-build-files-with-python.patch
  * apply upstream patches to create upstream version 0.3.6 
    [ fsoltrash@gmail.com ]
    * [f6f44b6] added vimftw's SConscript changes to build with gecko sdk 9
    * [bee086f] added code to create new message
    * [23803ad] + Applied vimftw patch to build using gecko sdk 10 + Applied
      Hicham.Haouari's patch from Issue 212

 -- Sascha Girrulat <sascha@girrulat.de>  Wed, 08 Feb 2012 19:32:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   libgtk2.0-dev,
   pkg-config,
   scons,
-  xulrunner-dev
+  xulrunner-dev (>= 10.0)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/firetray/
 Vcs-Git: git://git.debian.org/pkg-mozext/firetray.git

## firetray 0.4.6

=== debian/changelog ===
firetray (0.4.6-1~deb7u2) wheezy; urgency=medium

  * Increase version compatibility with icedove (Closes: #770182)

 -- David Prévot <taffit@debian.org>  Wed, 19 Nov 2014 09:44:55 -0400

firetray (0.4.6-1~deb7u1) wheezy; urgency=low

  * Upload to stable

 -- David Prévot <taffit@debian.org>  Sat, 05 Oct 2013 07:26:44 -0400

firetray (0.4.6-1) unstable; urgency=low

  * New upstream version
    (Closes: #648890, #678575, #705487, #713526)
  * Adapt rules
  * Complete copyright, convert to format 1.0
  * Update patches
  * debian/control:
    - Add self to Uploaders
    - Remove now useless DMUA
    - Remove now useless build dependencies
    - Bump standards version to 3.9.4
    - Update Homepage
    - Update Vcs to canonical URI
    - Make the package Architecture: all
    - Add Breaks
    - Review Description (Closes: #637830)
  * Remove unused material
  * Update watch to new source repository

 -- David Prévot <taffit@debian.org>  Thu, 11 Jul 2013 00:45:50 -0400

=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts
Standards-Version: 3.9.4
Homepage: https://addons.mozilla.org/firefox/addon/firetray/
Vcs-Git: git://anonscm.debian.org/pkg-mozext/firetray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/firetray.git

Package: xul-ext-firetray
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Icedove and Iceweasel alike applications
 FireTray is a system tray extension for Icedove, Iceweasel, and alike,
 allowing to set up a custom icon, hiding to tray instead of closing, display
 the number of unread messages in mailing applications, and other features.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with xul-ext

override_dh_auto_build:
	$(MAKE) -C src build
	dh_auto_build

override_dh_auto_install:
	install-xpi build-*/firetray*.xpi
	dh_auto_install

override_dh_auto_clean:
	$(MAKE) -C src clean
	dh_auto_clean

=== debian/watch ===
version=3
options="uversionmangle=s/a/~alpha/i;s/b/~beta/i;s/rc/~rc/i" \
https://github.com/foudfou/FireTray/releases .*/v?(\d[\d\.]*\w*)\.tar\.gz

## firetray 0.5.3~rc1+dfsg

=== debian/changelog ===
firetray (0.5.3~rc1+dfsg-1) unstable; urgency=medium

  [ foudfou ]
  * Add uk-UA localization (thx Володимир Савчук Volodymyr Savchuk!).
  * Linux: fix click on menuitems (bug introduced in 0cfe58e4).
  * Bump version to 0.5.3.

  [ David Prévot ]
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Fri, 14 Nov 2014 16:34:15 -0400

firetray (0.5.2~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Mon, 20 Oct 2014 13:34:44 -0400

firetray (0.5.2~rc1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Linux: fix return value according to return type definitions for some
    ctypes callbacks, thus avoiding "expected type int, got (void 0)".
  * Bump to version 0.5.2.
  * Avoid altering 'oncommand' and 'command' attributes (thx Kris Maglione).

  [ David Prévot ]
  * Add a get-orig-source target
  * Bump standards version to 3.9.6
  * Use repacksuffix feature of uscan

 -- David Prévot <taffit@debian.org>  Fri, 17 Oct 2014 09:02:58 -0400

firetray (0.5.1~rc1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Make menu icons "transparent" during initialization.

 -- David Prévot <taffit@debian.org>  Sun, 14 Sep 2014 21:34:42 -0400

firetray (0.5.0~beta1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * update preferences-system.svg for DFSG-compatibility
  * bump version to v0.5.0b1
  * Acknowledge russian translation by VitalD.
  * Add croatian/hr-HR localization (thx gogo!).
  * Add pl-PL localization (thx AreYouLoco!).
  * Move Linux icons from "gnome" theme to correct default "hicolor" theme
    (Closes: #719545)

  [ Florian Haftmann ]
  * new de-DE localization

  [ David Prévot ]
  * Use Files-Excluded feature of uscan
  * Update and factorize copyright
  * Do not ship useless winnt files
  * Upload beta to experimental

 -- David Prévot <taffit@debian.org>  Sat, 19 Jul 2014 20:39:31 -0400

firetray (0.4.8-1) unstable; urgency=low

  * Imported Upstream version 0.4.8
  * Refresh patches (log level fixed upstream)
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Wed, 06 Nov 2013 17:11:28 -0400

firetray (0.4.7~rc1-1) unstable; urgency=low

  [ David Prévot ]
  * New upstream version
  * Do not display release notes after installation
  * Add upstream changelog
  * Update packaging documentation
  * Bump standards version to 3.9.5
  * Update Homepage
  * Fix Depends (s/shlibs/xpi/)
  * Fix GPL-2 path

  [ Sascha Girrulat ]
  * Update description in d/control (Closes: #719544)
  * Switch log level to info (Closes: #719438)
  * Naming of patches are now pq compatible

 -- David Prévot <taffit@debian.org>  Tue, 29 Oct 2013 12:57:58 -0400

=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts
Standards-Version: 3.9.6
Homepage: http://foudfou.github.io/FireTray/#release-notes
Vcs-Git: git://anonscm.debian.org/pkg-mozext/firetray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/firetray.git

Package: xul-ext-firetray
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Iceweasel, Icedove, etc.
 FireTray is a system tray extension for Iceweasel and related
 applications. It supports setting up a custom icon, hiding to the tray
 instead of closing, displaying the number of unread mails, and more.

## firetray 0.5.3%7erc1%2bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -53,8 +53,8 @@
 endif
 
 # The target location of the build and build files.
-git_rev = -$(shell git rev-parse --short HEAD)
-build_dir := ../build$(git_rev)$(build_debug)
+SCM-REVISION = $(shell git rev-parse --short HEAD)
+build_dir := ../build-$(SCM-REVISION)$(build_debug)
 
 
 # The location of the extension profile. (this extension is intended for Linux only)
@@ -69,9 +69,7 @@
 install_rdf := install.rdf
 
 # Version fetched from install.rdf
-VERSION := $(shell awk '/<em:version>/ {  version=$$1; \
-  version=gensub(/^.*<em:version>(.+)<\/em:version>.*$$/, "\\1", "g", version); \
-  print version }' $(install_rdf))
+VERSION := $(shell awk -F '[<>]' '/em:version/{print $$3}' $(install_rdf))
 
 # The target XPI files.
 xpi_file := $(extension_name)-$(VERSION).xpi
@@ -94,12 +92,13 @@
                $(wildcard $(chrome_source_root)/content/*.xul)					\
                $(wildcard $(chrome_source_root)/content/*.xml)					\
                $(wildcard $(chrome_source_root)/content/*.css)					\
-               $(wildcard $(chrome_source_root)/skin/*.css)					\
-               $(wildcard $(chrome_source_root)/skin/*.gif)					\
-               $(wildcard $(chrome_source_root)/skin/*.png)					\
-               $(wildcard $(chrome_source_root)/skin/*.svg)					\
-               $(wildcard $(chrome_source_root)/skin/linux/icons/hicolor/22x22/apps/*.png)	\
-               $(wildcard $(chrome_source_root)/skin/linux/icons/hicolor/32x32/apps/*.png)	\
+               $(wildcard $(chrome_source_root)/skin/icons/*.css)				\
+               $(wildcard $(chrome_source_root)/skin/icons/*.gif)				\
+               $(wildcard $(chrome_source_root)/skin/icons/*.png)				\
+               $(wildcard $(chrome_source_root)/skin/icons/*.svg)				\
+               $(wildcard $(chrome_source_root)/skin/icons/linux/hicolor/22x22/*/*.png)		\
+               $(wildcard $(chrome_source_root)/skin/icons/winnt/*.bmp)				\
+               $(wildcard $(chrome_source_root)/skin/icons/winnt/*.ico)				\
                $(wildcard $(chrome_source_root)/locale/*/*.dtd)					\
                $(wildcard $(chrome_source_root)/locale/*/*.properties)
 
@@ -111,7 +110,9 @@
 		$(wildcard $(modules_dir)/*.jsm)		\
 		$(wildcard $(modules_dir)/ctypes/*.jsm)		\
 		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)	\
-		$(wildcard $(modules_dir)/linux/*.jsm)
+		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)	\
+		$(wildcard $(modules_dir)/linux/*.jsm)		\
+		$(wildcard $(modules_dir)/winnt/*.jsm)
 
 # The components (JSM) dir.
 components_dir := components
@@ -133,7 +134,7 @@
 build_includes := $(foreach f,$(xpi_includes),$(build_dir)/$(f))
 
 
-$(xpi_built): check_version $(build_dir) $(build_includes)
+$(xpi_built): check_version check_loglevel $(build_dir) $(build_includes)
 	@echo "Creating XPI file."
 	@cd $(build_dir); $(ZIP) $(xpi_file) $(xpi_includes)
 	@echo "Creating XPI file. Done!"
@@ -142,7 +143,7 @@
 .PHONY: build
 build: $(xpi_built)
 	@echo
-	@echo "Build finished successfully."
+	@echo "Build finished successfully in $(build_dir)."
 	@echo
 
 # This cleans all temporary files and directories created by 'make'.
@@ -154,6 +155,13 @@
 $(build_dir)/%: %
 	@mkdir -p $(dir $@)
 	@cp -f $< $@ # -d for symlinks
+
+$(build_dir)/$(license): ../$(license)
+	@cp -f $< $@
+
+# Inject SCM revision stamp. This may be useful in case we mess up with tags
+$(build_dir)/$(install_rdf): $(install_rdf)
+	@sed 's/\/\* SCM-REVISION:/\/* SCM-REVISION: $(SCM-REVISION) /' $< > $@
 
 # Debug calls are removed for performance.
 # NOTE: we could also use m4 for filtering source files...
@@ -185,11 +193,14 @@
 	@echo "Removing build dirs: $(build_dir)*"
 	@rm -rf $(build_dir)*
 
-# Version fetched from install.rdf
-const_file := modules/commons.js
-
-VERSION_HARD_CODED := $(shell awk -F\" '/const\W+FIRETRAY_VERSION/ \
-  { print $$2}' $(const_file))
+VERSION_HARD_CODED := $(shell awk -F\" '/const[ \t]+FIRETRAY_VERSION/ \
+  {print $$2}' modules/commons.js)
 check_version:
 	@echo "checking version consistency"
 	@[ "$(VERSION)" = "$(VERSION_HARD_CODED)" ]
+
+FIRETRAY_LOG_LEVEL := $(shell awk -F\" '/const[ \t]+FIRETRAY_LOG_LEVEL/ \
+  {print $$2}' modules/logging.jsm)
+check_loglevel:
+	@echo "checking loglevel"
+	@[ "Warn" = "$(FIRETRAY_LOG_LEVEL)" ]

## firetray 0.6.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
                $(wildcard $(chrome_source_root)/content/*.xul)					\
                $(wildcard $(chrome_source_root)/content/*.xml)					\
                $(wildcard $(chrome_source_root)/content/*.css)					\
-               $(wildcard $(chrome_source_root)/skin/icons/*.css)				\
+               $(wildcard $(chrome_source_root)/skin/*.css)					\
                $(wildcard $(chrome_source_root)/skin/icons/*.gif)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.png)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.svg)				\
@@ -106,12 +106,13 @@
 modules_dir := modules
 
 # The sources for the module files.
-modules_sources := $(wildcard $(modules_dir)/*.js)		\
-		$(wildcard $(modules_dir)/*.jsm)		\
-		$(wildcard $(modules_dir)/ctypes/*.jsm)		\
-		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)	\
-		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)	\
-		$(wildcard $(modules_dir)/linux/*.jsm)		\
+modules_sources := $(wildcard $(modules_dir)/*.js)			\
+		$(wildcard $(modules_dir)/*.jsm)			\
+		$(wildcard $(modules_dir)/ctypes/*.jsm)			\
+		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)		\
+		$(wildcard $(modules_dir)/ctypes/linux/gtk?/*.jsm)	\
+		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)		\
+		$(wildcard $(modules_dir)/linux/*.jsm)			\
 		$(wildcard $(modules_dir)/winnt/*.jsm)
 
 # The components (JSM) dir.

=== testing/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 includes_gtk := $(shell pkg-config --libs --cflags gtk+-2.0)
 includes_gdk_gtk := $(shell pkg-config --libs --cflags gdk-2.0 gtk+-2.0)
 executables :=  gtk_icon_example trayicon hide xtypes x11XGetWindowProp \
-	window_state_event xev_desktop teststatusicon gtk-version
+	window_state_event xev_desktop xgetselectionowner teststatusicon \
+	gtk-version
 
 .PHONY: all
 all: $(executables)
@@ -31,6 +32,9 @@
 xev_desktop: xev_desktop.c
 	gcc -lXm -lXt -lX11 -o xev_desktop xev_desktop.c
 
+xgetselectionowner: xgetselectionowner.c
+	gcc -lX11 -o xgetselectionowner xgetselectionowner.c
+
 teststatusicon: teststatusicon.c prop-editor.c
 	gcc $(includes_gtk) -o teststatusicon teststatusicon.c prop-editor.c

=== src/lib/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 deps = gdk-2.0 gdk-pixbuf-2.0 atk
-platform = $(shell uname -p)
+platform = $(shell uname -m)
 
 CC = gcc
 GCCVERSION = $(shell gcc -dumpversion | cut -f1 -d.)

=== debian/changelog ===
firetray (0.6.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump supported version of Thunderbird to 62.9999, to work with future
    point releases until that.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 13 Oct 2018 23:49:59 +0200

firetray (0.6.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix for Thunderbird 60 (by Fritjof Toelstede, Gabriele, and me).
    Closes: #906852, #895451.
  * Firefox and Iceweasel are no longer supported.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 17 Sep 2018 00:58:46 +0200

firetray (0.6.1+dfsg-1) unstable; urgency=medium

  [ foudfou ]
  * Discontinuation announce.
  * Fix logging for FF46.
  * Bump version to 0.6.1.

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Wed, 04 May 2016 16:37:55 -0400

firetray (0.6.0+dfsg-2) unstable; urgency=medium

  * Upload last upstream version to unstable
  * Drop Iceweasel and Icedove from description
  * Update Standards-Version to 3.9.7
  * Document #787803 fix in previous changelog entry
  * Rebuild with recent mozilla-devscripts to be ready for Firefox

 -- David Prévot <taffit@debian.org>  Sat, 26 Mar 2016 16:17:39 -0400

firetray (0.6.0+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Libappindicator: first step to replace GTK3 version with GTK2.
  * Add gtk3 support. (Closes: #787803)
  * Bump version to 0.6.0.

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Fri, 23 Oct 2015 17:20:12 -0400

firetray (0.5.7~1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Fix GtkIcons import. (#175)
  * Disable Chat if libappindicator is used.
  * Bump version to 0.5.7 (AMO doesn't handle release candidates).

 -- David Prévot <taffit@debian.org>  Thu, 09 Apr 2015 21:45:50 -0400

firetray (0.5.5~rc1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Fix additional uk-UA locale declaration.
  * Update it locale (thx Underpass!).
  * Add zh-CN locale (thx YFdyh000!)
  * Update hr-HR locale (thx gogo!)
  * FireTray is multiprocessCompatible (e10s).
  * Fix extraction of window title (especially for ukrainian l10n).
  * Fix right click could show/hide all windows on linux.
  * Bump version to 0.5.5.

  [ Scott Furry ]
  * FreeBSD build

  [ lyubomirv ]
  * Added Bulgarian [bg] localisation.

  [ David Prévot ]
  * Ship upstream README

 -- David Prévot <taffit@debian.org>  Mon, 06 Apr 2015 11:34:20 -0400

firetray (0.5.4+dfsg-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ foudfou ]
  * Add 'with_appindicator' hidden pref.
  * Bump version to 0.5.4.

  [ David Prévot ]
  * Recommend libappindicator3-1 for StatusNotifierItem

 -- David Prévot <taffit@debian.org>  Wed, 31 Dec 2014 12:25:09 -0400

=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts
Standards-Version: 3.9.8
Homepage: http://foudfou.github.io/FireTray/#release-notes
Vcs-Git: git://anonscm.debian.org/pkg-mozext/firetray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/firetray.git

Package: xul-ext-firetray
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: libappindicator3-1, ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Thunderbird
 FireTray is a system tray extension for Thunderbird.  It supports setting
 up a custom icon, hiding to the tray instead of closing, displaying the
 number of unread mails, and more.
 .
 FireFox and versions of Thunderbird prior to 57 are no longer supported.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with xul-ext --sourcedirectory=src

override_dh_auto_build:
	$(MAKE) -C src build
	dh_auto_build

override_dh_auto_install:
	install-xpi build-*/firetray*.xpi
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

get-orig-source:
	uscan --force --verbose --rename

=== debian/watch ===
version=3
options=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/ \
https://github.com/foudfou/FireTray/releases .*/v?(\d[\d\.]*\w*)\.tar\.gz

## firetray 0.6.5

=== src/Makefile ===
--- 
+++ 
@@ -93,12 +93,12 @@
                $(wildcard $(chrome_source_root)/content/*.xml)					\
                $(wildcard $(chrome_source_root)/content/*.css)					\
                $(wildcard $(chrome_source_root)/skin/*.css)					\
+               $(wildcard $(chrome_source_root)/skin/icons/*.bmp)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.gif)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.png)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.svg)				\
                $(wildcard $(chrome_source_root)/skin/icons/linux/hicolor/22x22/*/*.png)		\
                $(wildcard $(chrome_source_root)/skin/icons/winnt/*.bmp)				\
-               $(wildcard $(chrome_source_root)/skin/icons/winnt/*.ico)				\
                $(wildcard $(chrome_source_root)/locale/*/*.dtd)					\
                $(wildcard $(chrome_source_root)/locale/*/*.properties)
 
@@ -112,6 +112,7 @@
 		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)		\
 		$(wildcard $(modules_dir)/ctypes/linux/gtk?/*.jsm)	\
 		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)		\
+		$(wildcard $(modules_dir)/icons/*.jsm)			\
 		$(wildcard $(modules_dir)/linux/*.jsm)			\
 		$(wildcard $(modules_dir)/winnt/*.jsm)

=== debian/changelog ===
firetray (0.6.5-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 27 Sep 2019 17:42:32 -0700

firetray (0.6.5-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Removed debian patches.
  * Reformatted original debian folder.
  * Modified included binaries file.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Aug 2019 04:11:08 -0700

firetray (0.6.1+dfsg-1.2~deb9u1) stretch; urgency=medium

  * Upload to Stretch, to handle the stable update of Thunderbird.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 28 Oct 2018 23:57:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 
 get-orig-source:
 	uscan --force --verbose --rename
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
